%define upstream_name    Devel-OverrideGlobalRequire
%define upstream_version 0.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Override CORE::GLOBAL::require safely
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module overrides 'CORE::GLOBAL::require' with a code reference in a
way that plays nice with any existing overloading and ensures the right
calling package is in scope.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes CONTRIBUTING LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.1.0-4.mga9
+ Revision: 1808770
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-3.mga8
+ Revision: 1503839
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1282825
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.1.0-1.mga7
+ Revision: 1216990
- imported package perl-Devel-OverrideGlobalRequire


* Tue Apr 10 2018 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
